Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerMenu.layout	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/SingleplayerMenu.layout	(revision 11793)
@@ -1,63 +1,62 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SingleplayerBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerWindow" >
-            <Property Name="Text" Value="Singleplayer" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.15,0},{0.8,0},{0.7,0}}" />
-            <Window Type="MenuWidgets/TabControl" Name="orxonox/SingleplayerTabControl" >
-                <Property Name="TabHeight" Value="{0,26.4388}" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="TabPanePosition" Value="Top" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.1,0},{0.95,0},{0.925,0}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="SingleplayerBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="SingleplayerWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Singleplayer" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.2,0},{0.15,0},{0.8,0},{0.7,0}}" />
+            <Window name="SingleplayerTabControl" type="MenuWidgets/TabControl">
+                <Property name="TabHeight" value="{0,26.4388}" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="TabPanePosition" value="Top" />
+                <Property name="Area" value="{{0.05,0},{0.1,0},{0.95,0},{0.925,0}}" />
             </Window>
-            <Window Type="MenuWidgets/StaticImage" Name="orxonox/SingleplayerLevelImage" >
-                <Property Name="AlwaysOnTop" Value="True" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.25,0},{0.9,0},{0.675,0}}" />
+            <Window name="SingleplayerLevelImage" type="MenuWidgets/StaticImage">
+                <Property name="AlwaysOnTop" value="True" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.55,0},{0.25,0},{0.9,0},{0.675,0}}" />
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerLevelDescription" >
-                <Property Name="AlwaysOnTop" Value="True" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertScrollbar" Value="True" />
-                <Property Name="HorzScrollbar" Value="False" />
-                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.725,0},{0.9,0},{0.875,0}}" />
-                <Property Name="HorzFormatting" Value="WordWrapLeftAligned" />
+            <Window name="SingleplayerLevelDescription" type="MenuWidgets/StaticText">
+                <Property name="AlwaysOnTop" value="True" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertScrollbar" value="True" />
+                <Property name="HorzScrollbar" value="False" />
+                <Property name="Area" value="{{0.1,0},{0.725,0},{0.9,0},{0.875,0}}" />
+                <Property name="HorzFormatting" value="WordWrapLeftAligned" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerStartButton" >
-            <Property Name="Text" Value="Start" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerStartButton_clicked"/>
+        <Window name="SingleplayerStartButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Start" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
+            <Event function="SingleplayerMenu.SingleplayerStartButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerConfigButton" >
-            <Property Name="Text" Value="Configure" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.425,0},{0.725,0},{0.575,0},{0.775,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerConfigButton_clicked"/>
+        <Window name="SingleplayerConfigButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Configure" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.425,0},{0.725,0},{0.575,0},{0.775,0}}" />
+            <Property name="Disabled" value="True" />
+            <Event function="SingleplayerMenu.SingleplayerConfigButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerBackButton_clicked"/>
+        <Window name="SingleplayerBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
+            <Event function="SingleplayerMenu.SingleplayerBackButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/CampaignButton" >
-            <Property Name="Text" Value="Campaign" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.8,0},{0.6,0},{0.85,0}}" />
-            <Event Name="Clicked" Function="SingleplayerMenu.CampaignButton_clicked"/>
+        <Window name="CampaignButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Campaign" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.8,0},{0.6,0},{0.85,0}}" />
+            <Event function="SingleplayerMenu.CampaignButton_clicked" name="Clicked" />
         </Window>
     </Window>
